summaryrefslogtreecommitdiff
path: root/script/vendor/download
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
commit2e779a54951406247197cf21a31c54a36ec1fa06 (patch)
tree381d1b71893bcbeae5f7029379174cbe31c97a1a /script/vendor/download
parent9558e2fce790b044c33c54dfc58780a66e98b770 (diff)
handle errors on exits from subshells
most of these are probably redundant, and will never be called, but lbmk needs to be as safe as possible under fault conditions. fail early, fail hard. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/vendor/download')
-rwxr-xr-xscript/vendor/download4
1 files changed, 2 insertions, 2 deletions
diff --git a/script/vendor/download b/script/vendor/download
index 4613c2b6..eada2e91 100755
--- a/script/vendor/download
+++ b/script/vendor/download
@@ -214,7 +214,7 @@ extract_kbc1126ec()
[ -f ec.bin ] || err "extract_kbc1126_ec ${board}: can't extract"
"${kbc1126_ec_dump}" ec.bin || \
err "extract_kbc1126_ec ${board}: can't extract ecfw1/2.bin"
- )
+ ) || err "can't extract kbc1126 ec firmware"
ec_ex="y"
for i in 1 2; do
[ -f "${appdir}/ec.bin.fw${i}" ] || ec_ex="n"
@@ -239,7 +239,7 @@ extract_e6400vga()
"${e6400_unpack}" bios.bin || printf "TODO: fix dell extract util\n"
[ -f "${E6400_VGA_romname}" ] || \
err "extract_e6400vga: can't extract vga rom from bios.bin"
- )
+ ) || err "can't extract e6400 vga rom"
cp "${appdir}/${E6400_VGA_romname}" "${_dest}" || \
err "extract_e6400vga ${board}: can't copy vga rom to ${_dest}"
}